Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Space Class Reference

Abstract base class that provides an abstract interface to the database without exposing any implemenation details. More...

`#include <Name_Space.h>`

Inheritance diagram for ACE_Name_Space:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Name_Space (void)
| virtual destructor to ensure destructors of subclasses get called. More...
virtual int | bind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")=0
| Bind a new name to a naming context (Wide character strings). More...
virtual int | rebind (const ACE_NS_WString &name_in, const ACE_NS_WString &value_in, const char *type_in="")=0
| Overwrite the value or type of an existing name in a ACE_Name_Space or bind a new name to the context, if it didn't exist yet. More...
virtual int | unbind (const ACE_NS_WString &name_in)=0
| Delete a name from a ACE_Name_Space (Wide charcter strings Interface). More...
virtual int | resolve (const ACE_NS_WString &name_in, ACE_NS_WString &value_out, char *&type_out)=0
| Get value and type of a given name binding (Wide chars). The caller is responsible for deleting both <value_out> and <type_out>! More...
virtual int | list_names (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)=0
| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. More...
virtual int | list_values (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)=0
| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. More...
virtual int | list_types (ACE_WSTRING_SET &set_out, const ACE_NS_WString &pattern_in)=0
| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. More...
virtual int | list_name_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)=0
| Get a set of names matching a specified pattern (wchars). More...
virtual int | list_value_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)=0
| Get a set of values matching a specified pattern (wchars). More...
virtual int | list_type_entries (ACE_BINDING_SET &set, const ACE_NS_WString &pattern)=0
| Get a set of types matching a specified pattern (wchars). More...
virtual void | dump (void) const=0
| Dump the state of the object. More...

## Detailed Description

Abstract base class that provides an abstract interface to the database without exposing any implemenation details.

Manages a Naming Service Name Space. Provides the basic methods -- bind, unbind, rebind, find, and listnames.

## Constructor & Destructor Documentation

ACE_Name_Space::~ACE_Name_Space | ( | void |  | ) | `[virtual]`

| virtual destructor to ensure destructors of subclasses get called.

## Member Function Documentation

virtual int ACE_Name_Space::bind | ( | const ACE_NS_WString & | name,
|  | const ACE_NS_WString & | value,
|  | const char * | type = ""
| ) | `[pure virtual]`

| Bind a new name to a naming context (Wide character strings). Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual void ACE_Name_Space::dump | ( | void |  | ) | const`[pure virtual]`

| Dump the state of the object. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_name_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_names | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of names matching a specified pattern (wchars). Matching means the names must begin with the pattern string. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_type_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_types | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of types matching a specified pattern (wchars). Matching means the types must begin with the pattern string. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_value_entries | ( | ACE_BINDING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Returns the complete binding associated each pattern match. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::list_values | ( | ACE_WSTRING_SET & | set,
|  | const ACE_NS_WString & | pattern
| ) | `[pure virtual]`

| Get a set of values matching a specified pattern (wchars). Matching means the values must begin with the pattern string. Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::rebind | ( | const ACE_NS_WString & | name,
|  | const ACE_NS_WString & | value,
|  | const char * | type = ""
| ) | `[pure virtual]`

| Overwrite the value or type of an existing name in a ACE_Name_Space or bind a new name to the context, if it didn't exist yet. (Wide charcter strings interface). Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::resolve | ( | const ACE_NS_WString & | name,
|  | ACE_NS_WString & | value,
|  | char *& | type
| ) | `[pure virtual]`

| Get value and type of a given name binding (Wide chars). The caller is responsible for deleting both <value_out> and <type_out>! Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

virtual int ACE_Name_Space::unbind | ( | const ACE_NS_WString & | name | ) | `[pure virtual]`

| Delete a name from a ACE_Name_Space (Wide charcter strings Interface). Reimplemented in ACE_Local_Name_Space, ACE_Registry_Name_Space, and ACE_Remote_Name_Space.

The documentation for this class was generated from the following files:

- Name_Space.h
- Name_Space.cpp